%define		php_name	php%{?php_suffix}
%define		modname	classkit
%define		status		beta
Summary:	%{modname} - runtime redefinition of class methods
Summary(pl.UTF-8):	%{modname} - modyfikacja metod klasy w czasie działania skryptu
Name:		%{php_name}-pecl-%{modname}
Version:	0.4
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	3d04b0998e03e2375dfa2e118afeaaf3
URL:		http://pecl.php.net/package/classkit/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows a running script to add, remove, rename, and redefine class
methods without reloading.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na dodawanie, usuwanie, zmianę nazwy oraz
redefiniowanie metod klasy bez konieczności ponownego uruchamiania
skryptu.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-classkit.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 4514ede
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 5ea3008
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fe7dca4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 533bc08
- converted to UTF-8

* Tue Dec 19 2006 Elan Ruusamäe <glen@pld-linux.org> 1422e2b
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6596964
- update to 0.4

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 7c01d84
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> b4f259f
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 9c0735a
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 450c1a7
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> efb4b14
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 77d73a5
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> eb023fe
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> 927970c
- full conf.d support and unifications

* Sat Aug 28 2004 Adam Gołębiowski <adamg@pld-linux.org> e0b842f
- updated to 0.3

* Wed Aug 25 2004 Adam Gołębiowski <adamg@pld-linux.org> ba56621
- updated to 0.2

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 6772085
- fixed License

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 378bfe5
- updated to 0.1.1

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 104c4ef
- new

